Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.skin
Interface SkinConfiguration

    public interface SkinConfiguration

Fine tuning parameters for components configuration. For any skin, calculation of concrete component parameners done by special "configuration", pointed as special skin parameter ( or by default configuration ). Work like "transformation" of limited set Skin parameters to fine-grained individual component parameters.

Author:
  shura

Method Summary
`boolean` | `containsParameter(java.lang.String name)` Test for present parameter for given name.
`java.lang.Object` | `getParameter(javax.faces.context.FacesContext context, java.lang.String name)` Get value for configuration parameter.
`java.lang.Object` | `getParameter(javax.faces.context.FacesContext context, java.lang.String name, java.lang.String skinName, java.lang.Object defaultValue)` Get value for skin parameter, for build extensible ( mandatory/fine tuning ) with three-stage checks : first, check value for parameter with given name.

Method Detail

### getParameter

    java.lang.Object getParameter(javax.faces.context.FacesContext context,
                                  java.lang.String name)

  Get value for configuration parameter. If parameter set as EL-expression, calculate it value.

  Parameters:
    `context` - - `FacesContext` for current request.
    `name` - name of paremeter.
  Returns:
    value of parameter in config, or null

### getParameter

    java.lang.Object getParameter(javax.faces.context.FacesContext context,
                                  java.lang.String name,
                                  java.lang.String skinName,
                                  java.lang.Object defaultValue)

  Get value for skin parameter, for build extensible ( mandatory/fine tuning ) with three-stage checks :
  - first, check value for parameter with given name. If value not null, return it
  - second, got parameter value from skin by skinName key. If not null, return it.
  - if both above parameters is null, return default value.

  Parameters:
    `context` - - Current JSF context.
    `name` - - name of parameter.
    `skinName` - - name of according ( default ) parameter i Skin for same purpose. may be `null`.
    `defaultValue` - - default parameter value.
  Returns:
    - value of parameter.

### containsParameter

    boolean containsParameter(java.lang.String name)

  Test for present parameter for given name.

  Parameters:
    `name` - of parameter to test
  Returns:
    true if parameter present in configuration.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.